Subject: Re: bug#26599: patch for mwheel.el

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Apr 2017 08:01:47 +0300

> Date: Sun, 23 Apr 2017 15:13:00 +0900 (JST)
> Cc: [email-masked], [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> >> Is it possible to add a line that runs hook on `mwheel.el' to let me
> >> do so without advice-add?
> > 
> > Wouldn't it be better to have a user option which would turn off
> > auto-hscroll-mode without running any hooks?
> 
> Yes.  A concern is how to turn auto-hscroll-mode t back.

maybe I misunderstand something: what I had in mind is turn off
auto-hscroll-mode as part of the mwheel commands, then turn it back on
when the mwheel command did its job.

> User decides when to set auto-scroll-mode t again by an event besides
> wheel-up, -down, -left, or -down.

No, I meant to have it off as long as the mwheel command runs, and
restore it right back immediately afterwards.